Source from CodePlex doesn't build with .net v4

Aug 11, 2009 at 10:25 PM

when trying to build using a command of
>msbuild .\Codeplex-DLR-Dev10.sln

there are 29 errors most of the nature

Actions\ComboActionRewriter.cs(64,17): error CS0506: 'Microsoft.Scripting.Actions.ComboActionRewriter.ComboDynamicSiteExpression.Type.get': cannot override inherited member 'System.Linq.Expressions.Expression.Type.get' because it is not marked virtual, abstract, or override [D:\SFS\Dev\DLR\src\Runtime\Microsoft.Scripting\Microsoft.Scripting.Build.csproj]

Is the source in Codeplex not supposed to build correctly on v4 ?

Aug 12, 2009 at 12:54 AM

The current source in Codeplex is compatible with the current version of CLR4, which is not available publically. If you wanted to build against Beta 1 of CLR4, you'd need to use a version of the DLR source from around April.

Aug 13, 2009 at 11:04 AM
CurtHagenlocher wrote:

The current source in Codeplex is compatible with the current version of CLR4, which is not available publically. If you wanted to build against Beta 1 of CLR4, you'd need to use a version of the DLR source from around April.

Curt,

That makes sense now.  Thanks for clearing that up.

 

Oct 22, 2009 at 4:34 AM

I downloaded VS2010 beta 2 today but could not build change set 32871 (Codeplex-DLR-Dev10.sln). Wonder if anyone has succeeded. VS2008 builds fine (Codeplex-DLR.sln).

Oct 22, 2009 at 6:57 PM

We’ve just released a new VS2010 Beta 2 compatible set of sources.  http://dlr.codeplex.com/Release/ProjectReleases.aspx?ReleaseId=34834

Only minor differences from the change set you pulled down as we needed to update our internal prep scripts.  The Codeplex source repository will reflect these same changes later today.

Thanks for being an enthusiastic early adopter J

From: dotneteer [mailto:notifications@codeplex.com]
Sent: Wednesday, October 21, 2009 9:34 PM
To: Ryan Dawson
Subject: Re: Source from CodePlex doesn't build with .net v4 [dlr:65251]

From: dotneteer

I downloaded VS2010 beta 2 today but could not build change set 32871 (Codeplex-DLR-Dev10.sln). Wonder if anyone has succeeded. VS2008 builds fine (Codeplex-DLR.sln).

Read the full discussion online.

To add a post to this discussion, reply to this email (dlr@discussions.codeplex.com)

To start a new discussion for this project, email dlr@discussions.codeplex.com

You are receiving this email because you subscribed to this discussion on CodePlex. You can unsubscribe or change your settings on codePlex.com.

Please note: Images and attachments will be removed from emails. Any posts to this discussion will also be available online at codeplex.com

Oct 23, 2009 at 4:51 AM

Thank you very much. I got the the 0.92 code and was able to build it with VS2010 beta 2. I hope to see the Codeplex version soon so that I can get the VS2010 version hosting API.

I have a fun little project called ASP Classic Compiler (http://www.codeplex.com/aspclassiccompiler). I built a VBScript compiler using DLR. I would like to come out with a VS2010 version.